<sw-container>

    <template v-if="small">
        <sw-container style="display:flex" gap="0px 8px">
            <swag-guided-shopping-appointment-button-copyable
                    :copyableText="publicUrl"
            >
                {{ $tc('swag-guided-shopping-appointment.base.general.publicLinkLabel') }}
            </swag-guided-shopping-appointment-button-copyable>
            <template v-if="!notGuided">
                <swag-guided-shopping-appointment-button-copyable
                    :copyableText="guideUrl"
                >
                    {{ $tc('swag-guided-shopping-appointment.base.general.guideLinkLabel') }}
                </swag-guided-shopping-appointment-button-copyable>
            </template>
        </sw-container>
    </template>

    <template v-else>
        <div class="swag-guided-shopping-appointment-urls-container">
            <div>
                <span class="swag-guided-shopping-appointment-urls-label">{{ $tc('swag-guided-shopping-appointment.admin.fields.participants') }}:</span>
                <a :href="publicUrl" target="_blank" class="swag-guided-shopping-appointment-urls-link">{{ publicUrl }}</a>
                <swag-guided-shopping-appointment-button-copyable
                        :copyableText="publicUrl"
                        :compact="true"
                />
            </div>
            <div v-if="!notGuided">
                <span class="swag-guided-shopping-appointment-urls-label">{{ $tc('swag-guided-shopping-appointment.admin.fields.guide') }}:</span>
                <a :href="guideUrl" target="_blank" class="swag-guided-shopping-appointment-urls-link">{{ guideUrl }}</a>
                <swag-guided-shopping-appointment-button-copyable
                        :compact="true"
                        :copyableText="guideUrl"
                />
            </div>
        </div>
    </template>

</sw-container>
